Commit 376186e6 authored by CI Runner's avatar CI Runner
Browse files

Changelogs for 24.3

parent 9534bff1
---
title: Search Guard 6.x-24.3
slug: changelog-searchguard-6-x-24_3
category: changelogs-searchguard
order: 450
layout: changelogs
description: Changelog for Search Guard 6.x-24.3
---
<!---
Copryight 2017-2019 floragunn GmbH
-->
# Search Guard 6.x-24.3
**Release Date: 01.04.2019**
* [Upgrade Guide from 5.x to 6.x](../_docs/upgrading_5_6.md)
* [Upgrade Guide to 6.5.x](../_docs/upgrading-6_5_0.md)
## Security Fixes
This release fixes two critical security issues with Cross Cluster Search (CCS).
Every release before 6.x-24.3 for ES 6 is vulnerable and you are strongly advised to upgrade immediately.
The fix will be made available for Elasticsearch 6.4 and higher. If you are running on 6.0.x/6.1.x/6.2.x or 6.3.x
you need to upgrade to at least 6.4.x.
Your cluster is vulnerable if you have one or more remote clusters configured. If no remote cluster is configured
the cluster is not affected by this issue and there is no need to upgrade immediately.
Details will be made available on the [CVE Advisory Page](https://search-guard.com/cve-advisory/).
## Fixes
### Search Guard
* CCS: Fix "Do not fail on permissions (DNFOF)" together with CCS
* Core: Reduce loglevel for JWT "No Bearer scheme found in header" warning to debug (ITT-1942)
* Core: Remove unnecessary logging from BackendRegistry
......@@ -13,6 +13,10 @@ Copryight 2010 floragunn GmbH
# Search Guard Changelogs
### [Search Guard 6.x-24.3](changelog_searchguard_6_x_24_3.md)
Release Date: 01.04.2019
### [Search Guard 6.x-24.2](changelog_searchguard_6_x_24_2.md)
Release Date: 19.03.2019
......
......@@ -169,17 +169,18 @@ algolia:
sgversions:
enterprise:
- 6.6.2|24.2|18.1|yes
- 6.6.1|24.2|18.1|yes
- 6.6.0|24.2|18.1|yes
- 6.5.4|24.2|18|yes
- 6.5.3|24.2|18|yes
- 6.5.2|24.2|18|yes
- 6.5.1|24.2|18|yes
- 6.4.3|24.2|17|yes
- 6.4.2|24.2|17|yes
- 6.4.1|24.2|17|yes
- 6.4.0|24.2|17|yes
- 6.7.0|24.3|18.1|yes
- 6.6.2|24.3|18.1|yes
- 6.6.1|24.3|18.1|yes
- 6.6.0|24.3|18.1|yes
- 6.5.4|24.3|18|yes
- 6.5.3|24.3|18|yes
- 6.5.2|24.3|18|yes
- 6.5.1|24.3|18|yes
- 6.4.3|24.3|17|yes
- 6.4.2|24.3|17|yes
- 6.4.1|24.3|17|yes
- 6.4.0|24.3|17|yes
- 6.3.2|24.0|17|yes
- 6.3.1|24.0|17|yes
- 6.3.0|24.0|17|yes
......@@ -193,6 +194,7 @@ sgversions:
- 6.1.1|22.3|12|yes
- 6.1.0|22.3|12|yes
sgssl:
- 6.7.0|25.6|false|no
- 6.6.2|25.6|false|no
- 6.6.1|25.6|false|no
- 6.6.0|25.6|false|no
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment